Package ghidra.app.util.bin.format.pef

# Enum Class SectionKind

java.lang.Object
java.lang.Enum<SectionKind>
ghidra.app.util.bin.format.pef.SectionKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SectionKind>`, `Constable`

public enum SectionKind extends Enum<SectionKind>
Values for the sectionKind field. Section kind values for instantiated sections.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Code`
  Code, presumed pure and position independent.
  `Constant`
  Read-only data.
  `Debug`
  Reserved for future use.
  `Exception`
  Reserved for future use.
  `ExecutableData`
  Intermixed code and writeable data.
  `Loader`
  Loader tables.
  `PackedData`
  Packed writeable data.
  `Traceback`
  Reserved for future use.
  `UnpackedData`
  Unpacked writeable data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SectionKind`
  `get(int value)`
  `int`
  `getValue()`
  `boolean`
  `isInstantiated()`
  `static SectionKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SectionKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Code

    public static final SectionKind Code
    Code, presumed pure and position independent.

  - ### UnpackedData

    public static final SectionKind UnpackedData
    Unpacked writeable data.

  - ### PackedData

    public static final SectionKind PackedData
    Packed writeable data.

  - ### Constant

    public static final SectionKind Constant
    Read-only data.

  - ### Loader

    public static final SectionKind Loader
    Loader tables.

  - ### Debug

    public static final SectionKind Debug
    Reserved for future use.

  - ### ExecutableData

    public static final SectionKind ExecutableData
    Intermixed code and writeable data.

  - ### Exception

    public static final SectionKind Exception
    Reserved for future use.

  - ### Traceback

    public static final SectionKind Traceback
    Reserved for future use.

- ## Method Details

  - ### values

    public static SectionKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SectionKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()

  - ### isInstantiated

    public boolean isInstantiated()

  - ### get

    public static SectionKind get(int value)